@Library("ectrl-shared-libs")
import static ectrl.vars.GlobalVars.*
setenv(this, env.JOB_BASE_NAME)

pipeline {
    agent {
        label 'lxplus'
    }
    triggers {
        cron('@hourly')
    }
    options {
        timeout(time: 2, unit: 'HOURS')
    }
    stages {
        stage('check-complete') {
            steps {
                automationApptainerStep "ecalrunctrl.py --db=$dbinstance --notify=$notify_url close -c \$CAMPAIGN" 
            }
        }
        stage('fetch') {
            steps {
                automationApptainerStep "ecalrunctrl.py --db=$dbinstance --notify=$notify_url sync -c \$CAMPAIGN --\$CAMPAIGN"
            }
        }
    }
    post {
        unsuccessful {
            build job: 'reconnect-agent', parameters: [[$class: 'StringParameterValue', name: 'NODE', value: 'lxplus']]
            sendMattermostNotification "ERROR", "$JOB_BASE_NAME: failed job execution. lxplus automatically reconnected", env.notify_url
            sendMattermostNotification "ERROR"
        }
    }
}
